from enum import Enum

__NAMESPACE__ = "http://www.openmicroscopy.org/Schemas/OME/2016-06"


class Binning(Enum):
    """Represents the number of pixels that are combined to form larger pixels.

    {used:CCD,EMCCD}

    Properties
    ----------
    ONEBYONE: No binning.
    TWOBYTWO: 2x2 binning.
    FOURBYFOUR: 4x4 binning.
    EIGHTBYEIGHT: 8x8 binning.
    OTHER: Other binning value.
    """

    ONEBYONE = "1x1"
    TWOBYTWO = "2x2"
    FOURBYFOUR = "4x4"
    EIGHTBYEIGHT = "8x8"
    OTHER = "Other"
