from pydantic import Field

from ome_types._autogenerated.ome_2016_06.shape import Shape

__NAMESPACE__ = "http://www.openmicroscopy.org/Schemas/OME/2016-06"


class Ellipse(Shape):
    """A simple ellipse object.

    If rotation is required apply a transformation at the Shape level.

    Parameters
    ----------
    x: The X coordinate of the center of the ellipse. [units pixels]
    y: The Y coordinate of the center of the ellipse. [units pixels]
    radius_x: The horizontal radius of the ellipse. [units pixels]
    radius_y: The vertical radius of the ellipse. [units pixels]
    """

    class Meta:
        namespace = "http://www.openmicroscopy.org/Schemas/OME/2016-06"

    x: float = Field(
        metadata={
            "name": "X",
            "type": "Attribute",
            "required": True,
        }
    )
    y: float = Field(
        metadata={
            "name": "Y",
            "type": "Attribute",
            "required": True,
        }
    )
    radius_x: float = Field(
        metadata={
            "name": "RadiusX",
            "type": "Attribute",
            "required": True,
        }
    )
    radius_y: float = Field(
        metadata={
            "name": "RadiusY",
            "type": "Attribute",
            "required": True,
        }
    )
