from pydantic import Field

from ome_types._autogenerated.ome_2016_06.shape import Shape

__NAMESPACE__ = "http://www.openmicroscopy.org/Schemas/OME/2016-06"


class Label(Shape):
    """The text label.

    Any transformation should be applied at the shape level.

    Parameters
    ----------
    x: This defines the X coordinate of the current text position of the
        first character in the string. [units pixels]
    y: This defines the Y coordinate of the current text position of the
        first character in the string. [units pixels]
    """

    class Meta:
        namespace = "http://www.openmicroscopy.org/Schemas/OME/2016-06"

    x: float = Field(
        metadata={
            "name": "X",
            "type": "Attribute",
            "required": True,
        }
    )
    y: float = Field(
        metadata={
            "name": "Y",
            "type": "Attribute",
            "required": True,
        }
    )
