from typing import Optional

from pydantic import Field

from ome_types._autogenerated.ome_2016_06.marker import Marker
from ome_types._autogenerated.ome_2016_06.shape import Shape

__NAMESPACE__ = "http://www.openmicroscopy.org/Schemas/OME/2016-06"


class Line(Shape):
    """
    A straight line defined by it's end points.

    Parameters
    ----------
    x1: The X coordinate of the start of the line. [units pixels]
    y1: The Y coordinate of the start of the line. [units pixels]
    x2: The X coordinate of the end of the line. [units pixels]
    y2: The Y coordinate of the end of the line. [units pixels]
    marker_start:
    marker_end:
    """

    class Meta:
        namespace = "http://www.openmicroscopy.org/Schemas/OME/2016-06"

    x1: float = Field(
        metadata={
            "name": "X1",
            "type": "Attribute",
            "required": True,
        }
    )
    y1: float = Field(
        metadata={
            "name": "Y1",
            "type": "Attribute",
            "required": True,
        }
    )
    x2: float = Field(
        metadata={
            "name": "X2",
            "type": "Attribute",
            "required": True,
        }
    )
    y2: float = Field(
        metadata={
            "name": "Y2",
            "type": "Attribute",
            "required": True,
        }
    )
    marker_start: Optional[Marker] = Field(
        default=None,
        metadata={
            "name": "MarkerStart",
            "type": "Attribute",
        }
    )
    marker_end: Optional[Marker] = Field(
        default=None,
        metadata={
            "name": "MarkerEnd",
            "type": "Attribute",
        }
    )
