from pydantic import Field

from ome_types._autogenerated.ome_2016_06.shape import Shape

__NAMESPACE__ = "http://www.openmicroscopy.org/Schemas/OME/2016-06"


class Polygon(Shape):
    """The Polygon defines closed shapes formed of straight lines.

    Note: Polygon uses counterclockwise winding (this is the
    default OpenGL behavior)

    Parameters
    ----------
    points: The points of the Polygon are defined as a list of comma
        separated x,y coordinates seperated by spaces like "x1,y1 x2,y2
        x3,y3" e.g. "0,0 1,2 3,5"
    """

    class Meta:
        namespace = "http://www.openmicroscopy.org/Schemas/OME/2016-06"

    points: str = Field(
        metadata={
            "name": "Points",
            "type": "Attribute",
            "required": True,
        }
    )
