from pydantic import Field

from ome_types._autogenerated.ome_2016_06.reference import Reference

__NAMESPACE__ = "http://www.openmicroscopy.org/Schemas/OME/2016-06"


class ProjectRef(Reference):
    """There may be one or more of these in a Dataset.

    This empty element has a required Project ID attribute that refers
    to Projects defined within the OME element.
    """

    class Meta:
        namespace = "http://www.openmicroscopy.org/Schemas/OME/2016-06"

    id: str = Field(
        default='__auto_sequence__',
        metadata={
            "name": "ID",
            "type": "Attribute",
            "required": True,
            "pattern": r"(urn:lsid:([\w\-\.]+\.[\w\-\.]+)+:Project:\S+)|(Project:\S+)",
        },
        regex="(urn:lsid:([\\w\\-\\.]+\\.[\\w\\-\\.]+)+:Project:\\S+)|(Project:\\S+)"
    )
