from pydantic import Field

from ome_types._autogenerated.ome_2016_06.shape import Shape

__NAMESPACE__ = "http://www.openmicroscopy.org/Schemas/OME/2016-06"


class Rectangle(Shape):
    """A simple rectangle object.

    If rotation is required apply a transformation at the Shape level.

    Parameters
    ----------
    x: The X value of the left edge or the rectangle. [units pixels]
    y: The y value of the top edge or the rectangle. [units pixels]
    width: The width of the rectangle. [units pixels]
    height: The height of the rectangle. [units pixels]
    """

    class Meta:
        namespace = "http://www.openmicroscopy.org/Schemas/OME/2016-06"

    x: float = Field(
        metadata={
            "name": "X",
            "type": "Attribute",
            "required": True,
        }
    )
    y: float = Field(
        metadata={
            "name": "Y",
            "type": "Attribute",
            "required": True,
        }
    )
    width: float = Field(
        metadata={
            "name": "Width",
            "type": "Attribute",
            "required": True,
        }
    )
    height: float = Field(
        metadata={
            "name": "Height",
            "type": "Attribute",
            "required": True,
        }
    )
